Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1314 - bug in 'locate'
Summary: bug in 'locate'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: findutils
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-24 13:10 UTC by cadence
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 23:39:54 UTC


Attachments (Terms of Use)

Description cadence 1999-02-24 13:10:10 UTC
There is an overflow in 'locate' When updatedb will match a
patch taht contains more than 1024 chars it will put it to
the database and nothing happends. But then whem You run
'locate' it will segfaults on it. So now if You will make a
path that contains shellcode, and root will use 'locate'
then you can gain root privileges. I know that in this
particular case there is extremly hard to guess the proper
address of Your shellcode, but i saw an shellcode that can
do it another way ;) It was very clewer method and it can be
used here. I can't show how it looks so the same way i can't
prove it. Generally i think that buffer overflow in an
program (even so extremmly to exploit with standard tricks)
is VERY BAD and someone should do something with it.
Regards...    Tomasz Grabowski <cadence@aci.com.pl>

Comment 1 Bill Nottingham 1999-03-22 23:39:59 UTC
fixed for 5.9 by updating to slocate


Note You need to log in before you can comment on or make changes to this bug.